
#ifndef VTKWRAPPABLE_EXPORT_H
#define VTKWRAPPABLE_EXPORT_H

#ifdef VTKWRAPPABLE_STATIC_DEFINE
#  define VTKWRAPPABLE_EXPORT
#  define VTKWRAPPABLE_NO_EXPORT
#else
#  ifndef VTKWRAPPABLE_EXPORT
#    ifdef Wrappable_EXPORTS
        /* We are building this library */
#      define VTKWRAPPABLE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define VTKWRAPPABLE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef VTKWRAPPABLE_NO_EXPORT
#    define VTKWRAPPABLE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef VTKWRAPPABLE_DEPRECATED
#  define VTKWRAPPABLE_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef VTKWRAPPABLE_DEPRECATED_EXPORT
#  define VTKWRAPPABLE_DEPRECATED_EXPORT VTKWRAPPABLE_EXPORT VTKWRAPPABLE_DEPRECATED
#endif

#ifndef VTKWRAPPABLE_DEPRECATED_NO_EXPORT
#  define VTKWRAPPABLE_DEPRECATED_NO_EXPORT VTKWRAPPABLE_NO_EXPORT VTKWRAPPABLE_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef VTKWRAPPABLE_NO_DEPRECATED
#    define VTKWRAPPABLE_NO_DEPRECATED
#  endif
#endif

#endif /* VTKWRAPPABLE_EXPORT_H */
